Changed russian description a little bit
[gnuplot] / Makefile.in
1 # Makefile.in generated by automake 1.8.5 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 srcdir = @srcdir@
17 top_srcdir = @top_srcdir@
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 top_builddir = .
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 INSTALL = @INSTALL@
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 subdir = .
37 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
38         $(srcdir)/Makefile.in $(srcdir)/config.hin \
39         $(top_srcdir)/configure $(top_srcdir)/docs/Makefile.in \
40         $(top_srcdir)/src/beos/Makefile.in ChangeLog INSTALL NEWS TODO \
41         depcomp install-sh missing mkinstalldirs
42 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43 am__aclocal_m4_deps = $(top_srcdir)/m4/alpha.m4 \
44         $(top_srcdir)/m4/apple.m4 $(top_srcdir)/m4/beos.m4 \
45         $(top_srcdir)/m4/msdos.m4 $(top_srcdir)/m4/next.m4 \
46         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/configure.in
47 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
48         $(ACLOCAL_M4)
49 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
50  configure.lineno configure.status.lineno
51 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
52 CONFIG_HEADER = config.h
53 CONFIG_CLEAN_FILES = docs/Makefile src/beos/Makefile
54 SOURCES =
55 DIST_SOURCES =
56 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
57         html-recursive info-recursive install-data-recursive \
58         install-exec-recursive install-info-recursive \
59         install-recursive installcheck-recursive installdirs-recursive \
60         pdf-recursive ps-recursive uninstall-info-recursive \
61         uninstall-recursive
62 ETAGS = etags
63 CTAGS = ctags
64 DIST_SUBDIRS = $(SUBDIRS)
65 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
66 distdir = $(PACKAGE)-$(VERSION)
67 top_distdir = $(distdir)
68 am__remove_distdir = \
69   { test ! -d $(distdir) \
70     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
71          && rm -fr $(distdir); }; }
72 DIST_ARCHIVES = $(distdir).tar.gz
73 GZIP_ENV = --best
74 distuninstallcheck_listfiles = find . -type f -print
75 distcleancheck_listfiles = find . -type f -print
76 ACLOCAL = @ACLOCAL@
77 AMDEP_FALSE = @AMDEP_FALSE@
78 AMDEP_TRUE = @AMDEP_TRUE@
79 AMTAR = @AMTAR@
80 AUTOCONF = @AUTOCONF@
81 AUTOHEADER = @AUTOHEADER@
82 AUTOMAKE = @AUTOMAKE@
83 AWK = @AWK@
84 BUILD_SRC_BEOS_SUBDIR_FALSE = @BUILD_SRC_BEOS_SUBDIR_FALSE@
85 BUILD_SRC_BEOS_SUBDIR_TRUE = @BUILD_SRC_BEOS_SUBDIR_TRUE@
86 BUILD_WXWIDGETS_FALSE = @BUILD_WXWIDGETS_FALSE@
87 BUILD_WXWIDGETS_TRUE = @BUILD_WXWIDGETS_TRUE@
88 CAIROPANGO_CFLAGS = @CAIROPANGO_CFLAGS@
89 CAIROPANGO_LIBS = @CAIROPANGO_LIBS@
90 CC = @CC@
91 CCDEPMODE = @CCDEPMODE@
92 CFLAGS = @CFLAGS@
93 CPP = @CPP@
94 CPPFLAGS = @CPPFLAGS@
95 CXX = @CXX@
96 CXXCPP = @CXXCPP@
97 CXXDEPMODE = @CXXDEPMODE@
98 CXXFLAGS = @CXXFLAGS@
99 CYGPATH_W = @CYGPATH_W@
100 DEFS = @DEFS@
101 DEPDIR = @DEPDIR@
102 DVIPS = @DVIPS@
103 ECHO_C = @ECHO_C@
104 ECHO_N = @ECHO_N@
105 ECHO_T = @ECHO_T@
106 EGREP = @EGREP@
107 EMACS = @EMACS@
108 EXEEXT = @EXEEXT@
109 GDLIB_CONFIG = @GDLIB_CONFIG@
110 GIHDIR = @GIHDIR@
111 GNUPLOT_X11 = @GNUPLOT_X11@
112 GREP = @GREP@
113 GTK28_CFLAGS = @GTK28_CFLAGS@
114 GTK28_LIBS = @GTK28_LIBS@
115 GTK_CFLAGS = @GTK_CFLAGS@
116 GTK_LIBS = @GTK_LIBS@
117 INCLUDE_BINARY_C_FALSE = @INCLUDE_BINARY_C_FALSE@
118 INCLUDE_BINARY_C_TRUE = @INCLUDE_BINARY_C_TRUE@
119 INSTALL_DATA = @INSTALL_DATA@
120 INSTALL_PROGRAM = @INSTALL_PROGRAM@
121 INSTALL_SCRIPT = @INSTALL_SCRIPT@
122 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
123 LASERGNU = @LASERGNU@
124 LATEX = @LATEX@
125 LDFLAGS = @LDFLAGS@
126 LIBOBJS = @LIBOBJS@
127 LIBRARIES_FOR_X = @LIBRARIES_FOR_X@
128 LIBS = @LIBS@
129 LINUXSUID = @LINUXSUID@
130 LISPDIR = @LISPDIR@
131 LTLIBOBJS = @LTLIBOBJS@
132 MAKEINFO = @MAKEINFO@
133 OBJEXT = @OBJEXT@
134 PACKAGE = @PACKAGE@
135 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
136 PACKAGE_NAME = @PACKAGE_NAME@
137 PACKAGE_STRING = @PACKAGE_STRING@
138 PACKAGE_TARNAME = @PACKAGE_TARNAME@
139 PACKAGE_VERSION = @PACKAGE_VERSION@
140 PANGO_1_10_2_CFLAGS = @PANGO_1_10_2_CFLAGS@
141 PANGO_1_10_2_LIBS = @PANGO_1_10_2_LIBS@
142 PATH_SEPARATOR = @PATH_SEPARATOR@
143 PDFLATEX = @PDFLATEX@
144 PDFLIB_CONFIG = @PDFLIB_CONFIG@
145 PKG_CONFIG = @PKG_CONFIG@
146 PLAINTEX = @PLAINTEX@
147 SET_MAKE = @SET_MAKE@
148 SHELL = @SHELL@
149 STRIP = @STRIP@
150 TERMLIBS = @TERMLIBS@
151 TERMXLIBS = @TERMXLIBS@
152 TROFF = @TROFF@
153 TUTORIAL = @TUTORIAL@
154 U = @U@
155 VERSION = @VERSION@
156 VERSION_MAJOR = @VERSION_MAJOR@
157 WX_CONFIG = @WX_CONFIG@
158 WX_LIBS = @WX_LIBS@
159 XMKMF = @XMKMF@
160 X_CFLAGS = @X_CFLAGS@
161 X_EXTRA_LIBS = @X_EXTRA_LIBS@
162 X_LIBS = @X_LIBS@
163 X_PRE_LIBS = @X_PRE_LIBS@
164 ac_ct_CC = @ac_ct_CC@
165 ac_ct_CXX = @ac_ct_CXX@
166 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
167 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
168 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
169 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
170 am__include = @am__include@
171 am__leading_dot = @am__leading_dot@
172 am__quote = @am__quote@
173 bindir = @bindir@
174 build_alias = @build_alias@
175 datadir = @datadir@
176 datarootdir = @datarootdir@
177 docdir = @docdir@
178 dvidir = @dvidir@
179 exec_prefix = @exec_prefix@
180 host_alias = @host_alias@
181 htmldir = @htmldir@
182 includedir = @includedir@
183 infodir = @infodir@
184 install_sh = @install_sh@
185 libdir = @libdir@
186 libexecdir = @libexecdir@
187 localedir = @localedir@
188 localstatedir = @localstatedir@
189 mandir = @mandir@
190 mkdir_p = @mkdir_p@
191 oldincludedir = @oldincludedir@
192 pdfdir = @pdfdir@
193 prefix = @prefix@
194 program_transform_name = @program_transform_name@
195 psdir = @psdir@
196 sbindir = @sbindir@
197 sharedstatedir = @sharedstatedir@
198 subdirs = @subdirs@
199 sysconfdir = @sysconfdir@
200 target_alias = @target_alias@
201 AUTOMAKE_OPTIONS = foreign 1.2h
202 SUBDIRS = config m4 term src docs $(LISPDIR) man demo tutorial share maemo
203 EXTRA_DIST = BUGS CodeStyle Copyright FAQ GNUmakefile INSTALL INSTALL.gnu \
204 Makefile.maint PATCHLEVEL PGPKEYS PORTING README README.1ST \
205 VERSION configure.vms pm3d
206
207 DISTCLEANFILES = stamp-h
208 LISP_DISTCLEANFILES = gpelcard.dvi gpelcard.pdf gpelcard.ps
209 ACLOCAL_AMFLAGS = -I m4
210 all: config.h
211         $(MAKE) $(AM_MAKEFLAGS) all-recursive
212
213 .SUFFIXES:
214 am--refresh:
215         @:
216 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
217         @for dep in $?; do \
218           case '$(am__configure_deps)' in \
219             *$$dep*) \
220               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
221               cd $(srcdir) && $(AUTOMAKE) --foreign  \
222                 && exit 0; \
223               exit 1;; \
224           esac; \
225         done; \
226         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
227         cd $(top_srcdir) && \
228           $(AUTOMAKE) --foreign  Makefile
229 .PRECIOUS: Makefile
230 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
231         @case '$?' in \
232           *config.status*) \
233             echo ' $(SHELL) ./config.status'; \
234             $(SHELL) ./config.status;; \
235           *) \
236             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
237             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
238         esac;
239
240 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
241         $(SHELL) ./config.status --recheck
242
243 $(top_srcdir)/configure:  $(am__configure_deps)
244         cd $(srcdir) && $(AUTOCONF)
245 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
246         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
247
248 config.h: stamp-h1
249         @if test ! -f $@; then \
250           rm -f stamp-h1; \
251           $(MAKE) stamp-h1; \
252         else :; fi
253
254 stamp-h1: $(srcdir)/config.hin $(top_builddir)/config.status
255         @rm -f stamp-h1
256         cd $(top_builddir) && $(SHELL) ./config.status config.h
257 $(srcdir)/config.hin:  $(am__configure_deps) 
258         cd $(top_srcdir) && $(AUTOHEADER)
259         rm -f stamp-h1
260         touch $@
261
262 distclean-hdr:
263         -rm -f config.h stamp-h1
264 docs/Makefile: $(top_builddir)/config.status $(top_srcdir)/docs/Makefile.in
265         cd $(top_builddir) && $(SHELL) ./config.status $@
266 src/beos/Makefile: $(top_builddir)/config.status $(top_srcdir)/src/beos/Makefile.in
267         cd $(top_builddir) && $(SHELL) ./config.status $@
268 uninstall-info-am:
269
270 # This directory's subdirectories are mostly independent; you can cd
271 # into them and run `make' without going through this Makefile.
272 # To change the values of `make' variables: instead of editing Makefiles,
273 # (1) if the variable is set in `config.status', edit `config.status'
274 #     (which will cause the Makefiles to be regenerated when you run `make');
275 # (2) otherwise, pass the desired values on the `make' command line.
276 $(RECURSIVE_TARGETS):
277         @set fnord $$MAKEFLAGS; amf=$$2; \
278         dot_seen=no; \
279         target=`echo $@ | sed s/-recursive//`; \
280         list='$(SUBDIRS)'; for subdir in $$list; do \
281           echo "Making $$target in $$subdir"; \
282           if test "$$subdir" = "."; then \
283             dot_seen=yes; \
284             local_target="$$target-am"; \
285           else \
286             local_target="$$target"; \
287           fi; \
288           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
289            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
290         done; \
291         if test "$$dot_seen" = "no"; then \
292           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
293         fi; test -z "$$fail"
294
295 mostlyclean-recursive clean-recursive distclean-recursive \
296 maintainer-clean-recursive:
297         @set fnord $$MAKEFLAGS; amf=$$2; \
298         dot_seen=no; \
299         case "$@" in \
300           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
301           *) list='$(SUBDIRS)' ;; \
302         esac; \
303         rev=''; for subdir in $$list; do \
304           if test "$$subdir" = "."; then :; else \
305             rev="$$subdir $$rev"; \
306           fi; \
307         done; \
308         rev="$$rev ."; \
309         target=`echo $@ | sed s/-recursive//`; \
310         for subdir in $$rev; do \
311           echo "Making $$target in $$subdir"; \
312           if test "$$subdir" = "."; then \
313             local_target="$$target-am"; \
314           else \
315             local_target="$$target"; \
316           fi; \
317           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
318            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
319         done && test -z "$$fail"
320 tags-recursive:
321         list='$(SUBDIRS)'; for subdir in $$list; do \
322           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
323         done
324 ctags-recursive:
325         list='$(SUBDIRS)'; for subdir in $$list; do \
326           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
327         done
328
329 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
330         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
331         unique=`for i in $$list; do \
332             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
333           done | \
334           $(AWK) '    { files[$$0] = 1; } \
335                END { for (i in files) print i; }'`; \
336         mkid -fID $$unique
337 tags: TAGS
338
339 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.hin $(TAGS_DEPENDENCIES) \
340                 $(TAGS_FILES) $(LISP)
341         tags=; \
342         here=`pwd`; \
343         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
344           include_option=--etags-include; \
345           empty_fix=.; \
346         else \
347           include_option=--include; \
348           empty_fix=; \
349         fi; \
350         list='$(SUBDIRS)'; for subdir in $$list; do \
351           if test "$$subdir" = .; then :; else \
352             test ! -f $$subdir/TAGS || \
353               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
354           fi; \
355         done; \
356         list='$(SOURCES) $(HEADERS) config.hin $(LISP) $(TAGS_FILES)'; \
357         unique=`for i in $$list; do \
358             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
359           done | \
360           $(AWK) '    { files[$$0] = 1; } \
361                END { for (i in files) print i; }'`; \
362         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
363           test -n "$$unique" || unique=$$empty_fix; \
364           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
365             $$tags $$unique; \
366         fi
367 ctags: CTAGS
368 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.hin $(TAGS_DEPENDENCIES) \
369                 $(TAGS_FILES) $(LISP)
370         tags=; \
371         here=`pwd`; \
372         list='$(SOURCES) $(HEADERS) config.hin $(LISP) $(TAGS_FILES)'; \
373         unique=`for i in $$list; do \
374             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
375           done | \
376           $(AWK) '    { files[$$0] = 1; } \
377                END { for (i in files) print i; }'`; \
378         test -z "$(CTAGS_ARGS)$$tags$$unique" \
379           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
380              $$tags $$unique
381
382 GTAGS:
383         here=`$(am__cd) $(top_builddir) && pwd` \
384           && cd $(top_srcdir) \
385           && gtags -i $(GTAGS_ARGS) $$here
386
387 distclean-tags:
388         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
389
390 distdir: $(DISTFILES)
391         $(am__remove_distdir)
392         mkdir $(distdir)
393         $(mkdir_p) $(distdir)/docs $(distdir)/m4 $(distdir)/src/beos
394         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
395         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
396         list='$(DISTFILES)'; for file in $$list; do \
397           case $$file in \
398             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
399             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
400           esac; \
401           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
402           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
403           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
404             dir="/$$dir"; \
405             $(mkdir_p) "$(distdir)$$dir"; \
406           else \
407             dir=''; \
408           fi; \
409           if test -d $$d/$$file; then \
410             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
411               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
412             fi; \
413             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
414           else \
415             test -f $(distdir)/$$file \
416             || cp -p $$d/$$file $(distdir)/$$file \
417             || exit 1; \
418           fi; \
419         done
420         list='$(SUBDIRS)'; for subdir in $$list; do \
421           if test "$$subdir" = .; then :; else \
422             test -d "$(distdir)/$$subdir" \
423             || mkdir "$(distdir)/$$subdir" \
424             || exit 1; \
425             (cd $$subdir && \
426               $(MAKE) $(AM_MAKEFLAGS) \
427                 top_distdir="../$(top_distdir)" \
428                 distdir="../$(distdir)/$$subdir" \
429                 distdir) \
430               || exit 1; \
431           fi; \
432         done
433         $(MAKE) $(AM_MAKEFLAGS) \
434           top_distdir="$(top_distdir)" distdir="$(distdir)" \
435           dist-hook
436         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
437           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
438           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
439           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
440         || chmod -R a+r $(distdir)
441 dist-gzip: distdir
442         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
443         $(am__remove_distdir)
444
445 dist-bzip2: distdir
446         $(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
447         $(am__remove_distdir)
448
449 dist-tarZ: distdir
450         $(AMTAR) chof - $(distdir) | compress -c >$(distdir).tar.Z
451         $(am__remove_distdir)
452
453 dist-shar: distdir
454         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
455         $(am__remove_distdir)
456
457 dist-zip: distdir
458         -rm -f $(distdir).zip
459         zip -rq $(distdir).zip $(distdir)
460         $(am__remove_distdir)
461
462 dist dist-all: distdir
463         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
464         $(am__remove_distdir)
465
466 # This target untars the dist file and tries a VPATH configuration.  Then
467 # it guarantees that the distribution is self-contained by making another
468 # tarfile.
469 distcheck: dist
470         case '$(DIST_ARCHIVES)' in \
471         *.tar.gz*) \
472           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf - ;;\
473         *.tar.bz2*) \
474           bunzip2 -c $(distdir).tar.bz2 | $(AMTAR) xf - ;;\
475         *.tar.Z*) \
476           uncompress -c $(distdir).tar.Z | $(AMTAR) xf - ;;\
477         *.shar.gz*) \
478           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
479         *.zip*) \
480           unzip $(distdir).zip ;;\
481         esac
482         chmod -R a-w $(distdir); chmod a+w $(distdir)
483         mkdir $(distdir)/_build
484         mkdir $(distdir)/_inst
485         chmod a-w $(distdir)
486         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
487           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
488           && cd $(distdir)/_build \
489           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
490             $(DISTCHECK_CONFIGURE_FLAGS) \
491           && $(MAKE) $(AM_MAKEFLAGS) \
492           && $(MAKE) $(AM_MAKEFLAGS) dvi \
493           && $(MAKE) $(AM_MAKEFLAGS) check \
494           && $(MAKE) $(AM_MAKEFLAGS) install \
495           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
496           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
497           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
498                 distuninstallcheck \
499           && chmod -R a-w "$$dc_install_base" \
500           && ({ \
501                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
502                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
503                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
504                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
505                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
506               } || { rm -rf "$$dc_destdir"; exit 1; }) \
507           && rm -rf "$$dc_destdir" \
508           && $(MAKE) $(AM_MAKEFLAGS) dist \
509           && rm -rf $(DIST_ARCHIVES) \
510           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
511         $(am__remove_distdir)
512         @(echo "$(distdir) archives ready for distribution: "; \
513           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
514           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
515 distuninstallcheck:
516         @cd $(distuninstallcheck_dir) \
517         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
518            || { echo "ERROR: files left after uninstall:" ; \
519                 if test -n "$(DESTDIR)"; then \
520                   echo "  (check DESTDIR support)"; \
521                 fi ; \
522                 $(distuninstallcheck_listfiles) ; \
523                 exit 1; } >&2
524 distcleancheck: distclean
525         @if test '$(srcdir)' = . ; then \
526           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
527           exit 1 ; \
528         fi
529         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
530           || { echo "ERROR: files left in build directory after distclean:" ; \
531                $(distcleancheck_listfiles) ; \
532                exit 1; } >&2
533 check-am: all-am
534 check: check-recursive
535 all-am: Makefile config.h
536 installdirs: installdirs-recursive
537 installdirs-am:
538 install: install-recursive
539 install-exec: install-exec-recursive
540 install-data: install-data-recursive
541 uninstall: uninstall-recursive
542
543 install-am: all-am
544         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
545
546 installcheck: installcheck-recursive
547 install-strip:
548         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
549           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
550           `test -z '$(STRIP)' || \
551             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
552 mostlyclean-generic:
553
554 clean-generic:
555
556 distclean-generic:
557         -rm -f $(CONFIG_CLEAN_FILES)
558         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
559
560 maintainer-clean-generic:
561         @echo "This command is intended for maintainers to use"
562         @echo "it deletes files that may require special tools to rebuild."
563 clean: clean-recursive
564
565 clean-am: clean-generic mostlyclean-am
566
567 distclean: distclean-recursive
568         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
569         -rm -f Makefile
570 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
571
572 dvi: dvi-recursive
573
574 dvi-am:
575
576 html: html-recursive
577
578 info: info-recursive
579
580 info-am:
581
582 install-data-am:
583
584 install-exec-am:
585
586 install-info: install-info-recursive
587
588 install-man:
589
590 installcheck-am:
591
592 maintainer-clean: maintainer-clean-recursive
593         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
594         -rm -rf $(top_srcdir)/autom4te.cache
595         -rm -f Makefile
596 maintainer-clean-am: distclean-am maintainer-clean-generic
597
598 mostlyclean: mostlyclean-recursive
599
600 mostlyclean-am: mostlyclean-generic
601
602 pdf: pdf-recursive
603
604 pdf-am:
605
606 ps: ps-recursive
607
608 ps-am:
609
610 uninstall-am: uninstall-info-am
611
612 uninstall-info: uninstall-info-recursive
613
614 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
615         check-am clean clean-generic clean-recursive ctags \
616         ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
617         dist-tarZ dist-zip distcheck distclean distclean-generic \
618         distclean-hdr distclean-recursive distclean-tags \
619         distcleancheck distdir distuninstallcheck dvi dvi-am html \
620         html-am info info-am install install-am install-data \
621         install-data-am install-exec install-exec-am install-info \
622         install-info-am install-man install-strip installcheck \
623         installcheck-am installdirs installdirs-am maintainer-clean \
624         maintainer-clean-generic maintainer-clean-recursive \
625         mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
626         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
627         uninstall-info-am
628
629
630 dist-hook:
631         @for dir in `find $(distdir) -type d -name CVS -print`; do \
632           rm -rf $$dir; done
633         @find $(distdir) -type d -name .deps -print | xargs rm -rf
634         @find $(distdir) -type f -name .cvsignore -print | xargs rm -f
635         @(cd $(distdir)/lisp && rm -f $(LISP_DISTCLEANFILES))
636 # Tell versions [3.59,3.63) of GNU make to not export all variables.
637 # Otherwise a system limit (for SysV at least) may be exceeded.
638 .NOEXPORT: